CoyoteWriter (Apache Tomcat 9.0.75 API Documentation)

Package org.apache.catalina.connector

## Class CoyoteWriter

- java.lang.Object
- - java.io.Writer
  - - java.io.PrintWriter
    - - org.apache.catalina.connector.CoyoteWriter

- All Implemented Interfaces:
    `java.io.Closeable`, `java.io.Flushable`, `java.lang.Appendable`, `java.lang.AutoCloseable`

      public class CoyoteWriter
      extends java.io.PrintWriter

  Coyote implementation of the servlet writer.
  Author:
    Remy Maucherat

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `error` |
    `protected OutputBuffer` | `ob` |

    - ### Fields inherited from class java.io.PrintWriter

      `out`

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CoyoteWriter​(OutputBuffer ob)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `checkError()` |
    `protected java.lang.Object` | `clone()` | Prevent cloning the facade.
    `void` | `close()` |
    `void` | `flush()` |
    `void` | `print​(boolean b)` |
    `void` | `print​(char c)` |
    `void` | `print​(char[] s)` |
    `void` | `print​(double d)` |
    `void` | `print​(float f)` |
    `void` | `print​(int i)` |
    `void` | `print​(long l)` |
    `void` | `print​(java.lang.Object obj)` |
    `void` | `print​(java.lang.String s)` |
    `void` | `println()` |
    `void` | `println​(boolean b)` |
    `void` | `println​(char c)` |
    `void` | `println​(char[] c)` |
    `void` | `println​(double d)` |
    `void` | `println​(float f)` |
    `void` | `println​(int i)` |
    `void` | `println​(long l)` |
    `void` | `println​(java.lang.Object o)` |
    `void` | `println​(java.lang.String s)` |
    `void` | `write​(char[] buf)` |
    `void` | `write​(char[] buf, int off, int len)` |
    `void` | `write​(int c)` |
    `void` | `write​(java.lang.String s)` |
    `void` | `write​(java.lang.String s, int off, int len)` |

    - ### Methods inherited from class java.io.PrintWriter

      `append, append, append, clearError, format, format, printf, printf, setError`

    - ### Methods inherited from class java.io.Writer

      `nullWriter`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ob

          protected OutputBuffer ob

    - #### error

          protected boolean error

  - ### Constructor Detail

    - #### CoyoteWriter

          public CoyoteWriter​(OutputBuffer ob)

  - ### Method Detail

    - #### clone

          protected java.lang.Object clone()
                                    throws java.lang.CloneNotSupportedException

      Prevent cloning the facade.
      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### flush

          public void flush()

      Specified by:
        `flush` in interface `java.io.Flushable`
      Overrides:
        `flush` in class `java.io.PrintWriter`

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `java.io.Closeable`
      Overrides:
        `close` in class `java.io.PrintWriter`

    - #### checkError

          public boolean checkError()

      Overrides:
        `checkError` in class `java.io.PrintWriter`

    - #### write

          public void write​(int c)

      Overrides:
        `write` in class `java.io.PrintWriter`

    - #### write

          public void write​(char[] buf,
                            int off,
                            int len)

      Overrides:
        `write` in class `java.io.PrintWriter`

    - #### write

          public void write​(char[] buf)

      Overrides:
        `write` in class `java.io.PrintWriter`

    - #### write

          public void write​(java.lang.String s,
                            int off,
                            int len)

      Overrides:
        `write` in class `java.io.PrintWriter`

    - #### write

          public void write​(java.lang.String s)

      Overrides:
        `write` in class `java.io.PrintWriter`

    - #### print

          public void print​(boolean b)

      Overrides:
        `print` in class `java.io.PrintWriter`

    - #### print

          public void print​(char c)

      Overrides:
        `print` in class `java.io.PrintWriter`

    - #### print

          public void print​(int i)

      Overrides:
        `print` in class `java.io.PrintWriter`

    - #### print

          public void print​(long l)

      Overrides:
        `print` in class `java.io.PrintWriter`

    - #### print

          public void print​(float f)

      Overrides:
        `print` in class `java.io.PrintWriter`

    - #### print

          public void print​(double d)

      Overrides:
        `print` in class `java.io.PrintWriter`

    - #### print

          public void print​(char[] s)

      Overrides:
        `print` in class `java.io.PrintWriter`

    - #### print

          public void print​(java.lang.String s)

      Overrides:
        `print` in class `java.io.PrintWriter`

    - #### print

          public void print​(java.lang.Object obj)

      Overrides:
        `print` in class `java.io.PrintWriter`

    - #### println

          public void println()

      Overrides:
        `println` in class `java.io.PrintWriter`

    - #### println

          public void println​(boolean b)

      Overrides:
        `println` in class `java.io.PrintWriter`

    - #### println

          public void println​(char c)

      Overrides:
        `println` in class `java.io.PrintWriter`

    - #### println

          public void println​(int i)

      Overrides:
        `println` in class `java.io.PrintWriter`

    - #### println

          public void println​(long l)

      Overrides:
        `println` in class `java.io.PrintWriter`

    - #### println

          public void println​(float f)

      Overrides:
        `println` in class `java.io.PrintWriter`

    - #### println

          public void println​(double d)

      Overrides:
        `println` in class `java.io.PrintWriter`

    - #### println

          public void println​(char[] c)

      Overrides:
        `println` in class `java.io.PrintWriter`

    - #### println

          public void println​(java.lang.String s)

      Overrides:
        `println` in class `java.io.PrintWriter`

    - #### println

          public void println​(java.lang.Object o)

      Overrides:
        `println` in class `java.io.PrintWriter`